# Shapes

class leather.Shape

  Base class for shapes that can be used to render data `Series`.

class leather.Bars(fill_color=None)

  Render a series of data as bars.

  Parameters

    fill_color – The color to fill the bars. You may also specify a `style_function()`.

class leather.Columns(fill_color=None)

  Render a series of data as columns.

  Parameters

    fill_color – The color to fill the columns. You may also specify a `style_function()`.

class leather.Dots(fill_color=None, radius=None)

  Render a series of data as dots.

  Parameters

    - fill_color – The color to fill the dots. You may also specify a `style_function()`. If not specified, default chart colors will be used.

    - radius – The radius of the rendered dots. Defaults to `theme.default_dot_radius`. You may also specify a `style_function()`.

class leather.Line(stroke_color=None, width=None)

  Render a series of data as a line.

  Parameters

    - stroke_color – The color to stroke the lines. If not provided, default chart colors will be used.

    - width – The width of the lines. Defaults to `theme.default_line_width`.

leather.style_function(datum)

  This example shows how to define a function to specify style values for individual data points.

  Parameters

    datum – A `Datum` instance for the data row.